Subject: Re: getndcs

From: [email-masked] (Roy Barnes)
Date: Wed, 2 Jun 93 15:31:07 MDT

> Roy:
> 
> I have occaision to modify getndcs. I have an old version
> of it, but thought maybe I should use a newer one if there
> is one -- do you have such? I need one that includes the
> LEXWRT and PLTYVT routines. The version I have now has
> the following data availability:
> 
> #   HP from  2 Nov 78 to 19 Jul 86
> #   GPI from  1 Jan 60 to 30 Jun 89
> #   hourly IMF from 27 Nov 63 to 28 Nov 88
> #   hourly AE from  1 Jan 78 to 31 Dec 85
> #   hourly DST from  1 Jan 57 to 31 Dec 84
> 
> Thanks,
> 
> --Ben
> 

I do not know if things have changed from the version you have, but
it is easy to get another copy.  It was not clear whether you wish
to run on Sting or Shavano, so I will mention both:

To get a current copy of the source code in an NQS script, enter

	alias gathr '~bozo/bin/gathr \!*'
        ~bozo/bin/gpgm -g getndcs

To get a current copy of the source code for Sting, 

	~bozo/bin/gpgm getndcs.f
	
There will be a number of missing subroutines which may be linked
at compile time if there are no changes:

	f77 -c getndcs.f
	f77 *.o ~bozo/pgms/is/bin/lib.a 

If some need changes, obtain a copy as you did getndcs.f.  

All Sun source code resides in ~bozo/pgms/is/src and Shavano source
code resides in ~bozo/pgms, ~bozo/pgms/subs, and ~bozo/pgms/is/src.

I did not check, but I think the lexical write routines are included
with the main program.  Let me know what does not make sense.

			Roy B.